package com.unis.module.eureka;

import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;

@Configuration
@EnableWebSecurity
public class WebSecurityConfig 
extends WebSecurityConfigurerAdapter
{

	@Override
    protected void configure(HttpSecurity http) throws Exception {
		String[] urls = {
                "*",
                "/*",
                "/*/*",
                "/*/*/*",
                "/*/*/*/*",
                "/*/*/*/*/*/*",
                "/depot-system/userInfo/login",
                "/login",
                "depot-system/userInfo/login",
                "login"
        };

		http.authorizeRequests().anyRequest().permitAll() //允许所有用户访问所有资源
        .and()
        .csrf().disable(); // 禁用CSRF（防止伪造的跨域攻击）

        super.configure(http);
//        
//        http.authorizeRequests() // 对请求执行认证与授权
//                .antMatchers(urls) // 匹配某些请求路径
//                .permitAll() // （对此前匹配的请求路径）不需要通过认证即允许访问
//                .anyRequest() // 除以上配置过的请求路径以外的所有请求路径
//                .authenticated(); // 要求是已经通过认证的
//        super.configure(http);
		
//		http.httpBasic().and().authorizeRequests().antMatchers("/actuator/**").authenticated().anyRequest().permitAll();
//		http
//		// 关闭csrf token认证不需要csrf防护
//		.csrf().disable()
//		// 关闭session会话管理器 JWT 不需要
//		.sessionManagement().disable()
//		// 关闭记住我功能 JWT 不需要
//		.rememberMe().disable();
    }
}
